petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatDenseGetLocalMatrix

For a MATMPIDENSE or MATSEQDENSE matrix returns the sequential matrix that represents the operator. For sequential matrices it returns itself.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseGetLocalMatrix(Mat A,Mat *B)

### Input Parameter

A -the Seq or MPI dense matrix

### Output Parameter

B -the inner matrix

Level:intermediate
Location:src/mat/impls/dense/mpi/mpidense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages